## DAL-2.6.2.tar.gz

=== NT/Makefile ===
# -*- makefile -*-

# The contents of this file are subject to the MonetDB Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.monetdb.org/Legal/MonetDBLicense
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is the MonetDB Database System.
#
# The Initial Developer of the Original Code is CWI.
# Portions created by CWI are Copyright (C) 1997-July 2008 CWI.
# Copyright August 2008-2015 MonetDB B.V.
# All Rights Reserved.

TOPDIR = .
srcdir = $(TOPDIR)\..

prefix = $(MAKEDIR)

# ensure "all" is first target
all: _all

!INCLUDE "$(TOPDIR)\..\NT\rules.msc"

_all: update_winconfig_conds_py "$(srcdir)\Makefile.msc" monetdb_config.h unistd.h inttypes.h .monetdb
	$(MAKE) /nologo /f "$(srcdir)\Makefile.msc" "prefix=$(prefix)" "bits=$(bits)" all

install: targetdirs all
	$(MAKE) /nologo /f "$(srcdir)\Makefile.msc" "prefix=$(prefix)" "bits=$(bits)" install
	$(INSTALL) .monetdb "$(sysconfdir)"
	$(INSTALL) ..\NT\installer$(bits)\*.sln "$(prefix)"
	$(INSTALL) ..\NT\installer$(bits)\*.vdproj "$(prefix)"
	-if exist "C:\Program Files (x86)" if $(bits)==32 cd "$(prefix)"&&C:\cygwin\bin\sed.exe -i "s/Program Files/Program Files (x86)/" *.vdproj
	if not exist "C:\Program Files (x86)\Microsoft Visual Studio 10.0" if not exist "C:\Program Files\Microsoft Visual Studio 10.0" cd "$(prefix)"&&C:\cygwin\bin\sed.exe -i "s/Format Version 11.00/Format Version 10.00/;s/Visual Studio 2010/Visual Studio 2008/;s/-vs10//;s/_VC100_CRT_x64/_VC90_CRT_x86_x64/;s/_VC100_/_VC90_/" *.vdproj *.sln

$(srcdir)\Makefile.msc: "$(srcdir)\Makefile.ag"
        cd "$(srcdir)"&&set PYTHONPATH=buildtools\autogen&&python buildtools\autogen\autogen.py

monetdb_config.h: "$(TOPDIR)\winconfig_conds.py" "$(srcdir)\NT\monetdb_config.h.in"
	$(CONFIGURE) "$(srcdir)\NT\monetdb_config.h.in" > monetdb_config.h

unistd.h:
	$(ECHO) #ifndef UNISTD_H > unistd.h
	$(ECHO) #define UNISTD_H >> unistd.h
	$(ECHO) #include "io.h" >> unistd.h
	$(ECHO) #ifndef __cplusplus >> unistd.h
	$(ECHO) #define open _open >> unistd.h
	$(ECHO) #define read _read >> unistd.h
	$(ECHO) #define write _write >> unistd.h
	$(ECHO) #define close _close >> unistd.h
	$(ECHO) #define getpid _getpid >> unistd.h
	$(ECHO) #define umask _umask >> unistd.h
	$(ECHO) #define isatty _isatty >> unistd.h
	$(ECHO) #endif >> unistd.h
	$(ECHO) #endif >> unistd.h

inttypes.h:
	$(ECHO) typedef signed char int8_t; > inttypes.h
	$(ECHO) typedef unsigned char uint8_t; >> inttypes.h
	$(ECHO) typedef short int16_t; >> inttypes.h
	$(ECHO) typedef unsigned short uint16_t; >> inttypes.h
	$(ECHO) typedef int int32_t; >> inttypes.h
	$(ECHO) typedef unsigned int uint32_t; >> inttypes.h

.monetdb:
	$(ECHO) user=monetdb> .monetdb
	$(ECHO) password=monetdb>> .monetdb

targetdirs:
	if not exist "$(bindir)"		$(MKDIR) "$(bindir)"
	if not exist "$(sbindir)"		$(MKDIR) "$(sbindir)"
	if not exist "$(libexecdir)"		$(MKDIR) "$(libexecdir)"
	if not exist "$(datadir)"		$(MKDIR) "$(datadir)"
	if not exist "$(sysconfdir)"		$(MKDIR) "$(sysconfdir)"
	if not exist "$(sharedstatedir)"	$(MKDIR) "$(sharedstatedir)"
	if not exist "$(localstatedir)"		$(MKDIR) "$(localstatedir)"
	if not exist "$(libdir)"		$(MKDIR) "$(libdir)"
	if not exist "$(infodir)"		$(MKDIR) "$(infodir)"
	if not exist "$(mandir)"		$(MKDIR) "$(mandir)"
	if not exist "$(includedir)"		$(MKDIR) "$(includedir)"
	if not exist "$(pkgdatadir)"		$(MKDIR) "$(pkgdatadir)"
	if not exist "$(pkglibdir)"		$(MKDIR) "$(pkglibdir)"
	if not exist "$(pkgincludedir)"		$(MKDIR) "$(pkgincludedir)"

=== Odos/Makefile ===
# Makefile for Pari/GP -- ix86 running EMX (ix86 kernel)
#
#  This file was created by hand. Update it when config/ evolves
#
# if your make utility doesn't support .IF/.THEN/.ELSE comment out the
# relevant lines
.IF $(DBG) == 1
  CFLAGS   = -g -Wall
  RLCFLAGS = -g -Wall
  XTRAOINL = $(OINLINE)
.ELSE
  CFLAGS   = -O3 -fexpensive-optimizations -DGCC_INLINE
  RLCFLAGS = -O3 -fexpensive-optimizations
  XTRAOINL =
.END

SHELL      = /bin/sh
CC         = gcc
CPPFLAGS   = -I. -I../src/headers
LD         = gcc
LDFLAGS    = -Zsysv-signals
CPP        = gcc -E -I.
EMX        = c:/emx/bin/emxl.exe

RLDIR     = ../readline
RLINCLUDE = -I$(RLDIR)
RLLIBS    = $(RLDIR)/libreadline.a -ltermcap
LIBS =

# use del if RM is not found.
RM = rm -f
#RM = del

# Graphic library.
PLOTFILE   = plotnull.c
PLOTCFLAGS =
PLOTLIBS   =

OBJS   =  kernel.o mp.o alglin1.o alglin2.o arith1.o arith2.o base1.o base2.o base3.o base4.o base5.o bibli1.o bibli2.o buch1.o buch2.o buch3.o buch4.o galconj.o gen1.o gen2.o gen3.o ifactor1.o mpqs.o polarit1.o polarit2.o polarit3.o rootpol.o trans1.o trans2.o trans3.o elliptic.o galois.o kummer.o nffactor.o stark.o subfield.o subgroup.o thue.o anal.o compat.o errmsg.o es.o helpmsg.o highlvl.o init.o sumiter.o
OBJSGP =  gp.o gp_init.o gp_rl.o plot.o plotport.o whatnow.o
OINLINE = mpinl.o

dft: gp.exe

lib: libpari.a

all: dft lib

libpari.a: $(OBJS) $(OINLINE)
	-$(RM) $@
	ar r $@ $(OINLINE) @objs
	ar s $@

gp: $(OBJS) $(OBJSGP) $(XTRAOINL)
	$(LD) -o gp $(LDFLAGS) $(XTRAOINL) @objs @objsgp $(RLLIBS) $(PLOTLIBS) $(LIBS)

gp.exe: gp
	emxbind -q $(EMX) gp gp.exe -C0

cleantest:
	$(RM) *.out *.dif pari.ps

clean: cleantest
	-$(RM) *.o *.s libpari.* gp gp.exe

HEADERS = pariinl.h ../src/headers/pari.h ../src/headers/paritype.h ../src/headers/paricast.h ../src/headers/paricom.h ../src/headers/parierr.h ../src/headers/parigen.h ../src/headers/paristio.h ../src/headers/parisys.h ../src/headers/pariport.h
level0.s: ../src/kernel/ix86/l0asm.c ../src/kernel/ix86/l0asm.h
	$(CPP) -o $@ ../src/kernel/ix86/l0asm.c
kernel.o: level0.s
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o kernel.o level0.s
mp.o: $(HEADERS) ../src/kernel/none/mp.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o mp.o ../src/kernel/none/mp.c
mpinl.o: $(HEADERS) ../src/kernel/none/level1.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o mpinl.o ../src/kernel/none/level1.c

alglin1.o: $(HEADERS)  ../src/basemath/alglin1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o alglin1.o ../src/basemath/alglin1.c
alglin2.o: $(HEADERS)  ../src/basemath/alglin2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o alglin2.o ../src/basemath/alglin2.c
arith1.o: $(HEADERS)  ../src/basemath/arith1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o arith1.o ../src/basemath/arith1.c
arith2.o: $(HEADERS)  ../src/basemath/arith2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o arith2.o ../src/basemath/arith2.c
base1.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/base1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base1.o ../src/basemath/base1.c
base2.o: $(HEADERS)  ../src/basemath/base2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base2.o ../src/basemath/base2.c
base3.o: $(HEADERS)  ../src/basemath/base3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base3.o ../src/basemath/base3.c
base4.o: $(HEADERS)  ../src/basemath/base4.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base4.o ../src/basemath/base4.c
base5.o: $(HEADERS)  ../src/basemath/base5.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o base5.o ../src/basemath/base5.c
bibli1.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/bibli1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o bibli1.o ../src/basemath/bibli1.c
bibli2.o: $(HEADERS)  ../src/basemath/bibli2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o bibli2.o ../src/basemath/bibli2.c
buch1.o: $(HEADERS)  ../src/basemath/buch1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch1.o ../src/basemath/buch1.c
buch2.o: $(HEADERS) ../src/headers/parinf.h ../src/basemath/buch2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch2.o ../src/basemath/buch2.c
buch3.o: $(HEADERS)  ../src/basemath/buch3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch3.o ../src/basemath/buch3.c
buch4.o: $(HEADERS)  ../src/basemath/buch4.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o buch4.o ../src/basemath/buch4.c
galconj.o: $(HEADERS)  ../src/basemath/galconj.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o galconj.o ../src/basemath/galconj.c
gen1.o: $(HEADERS)  ../src/basemath/gen1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen1.o ../src/basemath/gen1.c
gen2.o: $(HEADERS)  ../src/basemath/gen2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen2.o ../src/basemath/gen2.c
gen3.o: $(HEADERS)  ../src/basemath/gen3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o gen3.o ../src/basemath/gen3.c
ifactor1.o: $(HEADERS)  ../src/basemath/ifactor1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o ifactor1.o ../src/basemath/ifactor1.c
mpqs.o: $(HEADERS)  ../src/modules/mpqs.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o mpqs.o ../src/modules/mpqs.c
polarit1.o: $(HEADERS)  ../src/basemath/polarit1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit1.o ../src/basemath/polarit1.c
polarit2.o: $(HEADERS)  ../src/basemath/polarit2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit2.o ../src/basemath/polarit2.c
polarit3.o: $(HEADERS)  ../src/basemath/polarit3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o polarit3.o ../src/basemath/polarit3.c
rootpol.o: $(HEADERS)  ../src/basemath/rootpol.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o rootpol.o ../src/basemath/rootpol.c
subgroup.o: $(HEADERS)  ../src/basemath/subgroup.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o subgroup.o ../src/basemath/subgroup.c
trans1.o: $(HEADERS)  ../src/basemath/trans1.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans1.o ../src/basemath/trans1.c
trans2.o: $(HEADERS)  ../src/basemath/trans2.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans2.o ../src/basemath/trans2.c
trans3.o: $(HEADERS)  ../src/basemath/trans3.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o trans3.o ../src/basemath/trans3.c
elliptic.o: $(HEADERS)  ../src/modules/elliptic.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o elliptic.o ../src/modules/elliptic.c
galois.o: $(HEADERS)  ../src/modules/galois.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o galois.o ../src/modules/galois.c
kummer.o: $(HEADERS)  ../src/modules/kummer.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o kummer.o ../src/modules/kummer.c
nffactor.o: $(HEADERS)  ../src/modules/nffactor.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o nffactor.o ../src/modules/nffactor.c
stark.o: $(HEADERS)  ../src/modules/stark.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o stark.o ../src/modules/stark.c
subfield.o: $(HEADERS)  ../src/modules/subfield.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o subfield.o ../src/modules/subfield.c
thue.o: $(HEADERS)  ../src/modules/thue.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o thue.o ../src/modules/thue.c
anal.o: $(HEADERS) ../src/language/anal.h ../src/headers/parinf.h ../src/language/anal.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o anal.o ../src/language/anal.c
compat.o: $(HEADERS)  ../src/language/compat.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o compat.o ../src/language/compat.c
errmsg.o: $(HEADERS)  ../src/language/errmsg.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o errmsg.o ../src/language/errmsg.c
es.o: $(HEADERS) ../src/language/anal.h ../src/language/es.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o es.o ../src/language/es.c
helpmsg.o: $(HEADERS)  ../src/language/helpmsg.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o helpmsg.o ../src/language/helpmsg.c
highlvl.o: $(HEADERS)  ../src/gp/highlvl.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o highlvl.o ../src/gp/highlvl.c
init.o: $(HEADERS) ../src/language/anal.h ../src/language/init.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o init.o ../src/language/init.c
sumiter.o: $(HEADERS) ../src/language/anal.h ../src/language/sumiter.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS)  -o sumiter.o ../src/language/sumiter.c
gp.o: $(HEADERS) ../src/language/anal.h ../src/gp/gp.h ./paricfg.h ../src/gp/gp.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/language $(RLINCLUDE) -o gp.o ../src/gp/gp.c
gp_init.o: $(HEADERS) ../src/graph/rect.h ../src/gp/gp_init.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/graph -o gp_init.o ../src/gp/gp_init.c
gp_rl.o: $(HEADERS) ../src/language/anal.h ../src/gp/gp.h ./paricfg.h ../src/gp/gp_rl.c
	$(CC) -c $(RLCFLAGS) $(CPPFLAGS) -I../src/language $(RLINCLUDE) -o gp_rl.o ../src/gp/gp_rl.c
plot.o: $(HEADERS) ../src/graph/rect.h ../src/graph/$(PLOTFILE)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(PLOTCFLAGS) -o plot.o ../src/graph/$(PLOTFILE)
plotport.o: $(HEADERS) ../src/graph/rect.h ../src/graph/plotport.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/graph -o plotport.o ../src/graph/plotport.c
whatnow.o: $(HEADERS) ../src/language/anal.h ./paricfg.h ../src/gp/whatnow.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -I../src/language -o whatnow.o ../src/gp/whatnow.c

=== debian/changelog ===
monetdb (11.19.9-20150123) unstable; urgency=low

  * Rebuilt.
  * BZ#3467: Field aliases with '#' character excise field names in
    result set.
  * BZ#3605: relational query without result
  * BZ#3619: Missing dll on MonetDB Start
  * BZ#3622: Type resolution error
  * BZ#3624: insert of incomplete or invalid ip address values in
    inet column is silently accepted but the values are not stored (they
    become/show nil)
  * BZ#3626: casting a type without alias results in program contains errors
  * BZ#3628: mclient and ODBC driver report 'type mismatch' when stddev_pop
    used in a select which returns 0 rows
  * BZ#3629: IF THEN ELSEIF always evaluates the first test as true
  * BZ#3630: segv on rel_order_by_column_exp
  * BZ#3632: running make clean twice gives an error in clients/ruby/adapter
  * BZ#3633: Wrong result for HAVING with floating-point constant
  * BZ#3640: Missing implementation of scalar function: sql_sub(<date>,
    <month interval>)
  * BZ#3641: SQL lexer fails to detect string end if it the last character
    is U+FEFF ZERO WIDTH NO-BREAK SPACE
  * BZ#3642: Combined WHERE conditions less-than plus equals-to produce
    incorrect results
  * BZ#3643: Missing implementations of scalar function: sql_sub(<timetz>,
    arg2)
  * BZ#3644: COPY INTO fails to import "inet" data type when value has
    prefix length in CIDR notation
  * BZ#3646: ORDER BY clause does not produce proper results on 'inet'
    datatype
  * BZ#3649: recycler crashes with concurrent transactions

 -- Sjoerd Mullender <sjoerd@acm.org>  Fri, 23 Jan 2015 13:21:50 +0100

monetdb (11.19.7-20141121) unstable; urgency=low

  * Rebuilt.

 -- Sjoerd Mullender <sjoerd@acm.org>  Fri, 21 Nov 2014 10:14:18 +0100

monetdb (11.19.5-20141120) unstable; urgency=low

  * Rebuilt.
  * BZ#3580: cosmetic change (append newline)
  * BZ#3609: Incorrect use of generate_series
  * BZ#3611: quantile() and median() commands crash when used 2x on the
    same variable on a null table
  * BZ#3612: assertion failure when deleting rows from table to which a
    FK constraint is defined
  * BZ#3620: ORDER BY broken when using UNION ALL
  * BZ#3621: Hexadecimal literal vs decimal literal

 -- Sjoerd Mullender <sjoerd@acm.org>  Thu, 20 Nov 2014 10:37:22 +0100

monetdb (11.19.3-20141028) unstable; urgency=low

  * Rebuilt.

 -- Sjoerd Mullender <sjoerd@acm.org>  Tue, 28 Oct 2014 09:02:24 +0100

monetdb (11.19.1-20141024) unstable; urgency=low

  * Rebuilt.
  * BZ#2618: Implement master slave scheme
  * BZ#2945: evaluation of SQL "between SYMMETRIC" requires MAL iterator
    because there is no (bulk) MIN/MAX(a,b)
  * BZ#3204: monetdb create: allow setting admin password during creation
  * BZ#3390: Missing definition for pushSht in monetdb5/mal/mal_builder.h
  * BZ#3402: We should have a C implementation of mal.multiplex.
  * BZ#3422: Segmentation fault after large table insert
  * BZ#3459: incomplete implementation of JDBC driver getNumericFunctions(),
    getStringFunctions(), getSystemFunctions(), getTimeDateFunctions(),
    getSQLKeywords() methods in MonetDatabaseMetaData.java
  * BZ#3471: JDBC driver: incorrect output result of SQL query: SELECT 1 ;
  * BZ#3474: bulk and scalar versions of mkey.rotate_xor_hash differ
  * BZ#3484: COPY INTO on a file works fine on Linux/OSX, but not on Windows
  * BZ#3488: Slow SQL execution for correlated scalar subquery
  * BZ#3489: SQL query with ORDER BY does not order its result as requested
  * BZ#3490: SQL query kills the mserver5 (Segmentation fault)
  * BZ#3491: SQL query kills the mserver5 (Segmentation fault)
  * BZ#3493: Test monetdb5/modules/mal/Tests/pqueue.mal fails since
    recent checkins
  * BZ#3494: Tests monetdb5/modules/mal/Tests/pqueue[23].mal lack
    correct/expected/intended output
  * BZ#3495: Test sql/test/centipede/Tests/olap.sql lacks
    correct/expected/intended output
  * BZ#3497: monetdb start reports crash in merovingian.log
  * BZ#3498: SQL throws TypeException if aggregations and limit statements
    are both present
  * BZ#3502: Database was killed by signal SIGBUS
  * BZ#3504: COPY INTO does not allow OFFSET without specifying amount
    of records
  * BZ#3505: expression with <boolean> = NOT <boolean> returns a syntax
    error but NOT <boolean> = <boolean> not
  * BZ#3506: conversion to varchar terminates mserver
  * BZ#3508: conversion of string '0   ' to type smallint or integer fails
  * BZ#3510: timestamp + month interval generates bogus MAL?
  * BZ#3511: When having multiple selections combined with aliases not
    all of them seem to be evalauted.
  * BZ#3512: auto-conversion of string to `sht` type no longer works
  * BZ#3513: COPY BINARY INTO fails on 6gb file; works fine on 3gb
  * BZ#3516: inserting '0' into a column of datatype numeric fails
  * BZ#3518: UNION with subqueries
  * BZ#3521: large results of function exp() are not automatically returned
    as double
  * BZ#3522: SQL catalog table sys.columns lists columns for table ids
    which do not exist in sys.tables
  * BZ#3523: Window function over union gives no result
  * BZ#3524: wrong error on missing aggregation column
  * BZ#3527: select distinct - order by - limit 2 results in one single
    result
  * BZ#3528: segfault at mal_session.c:521
  * BZ#3532: several geom tests crash after manifold changes
  * BZ#3534: missing table name with invalid column in join using (and
    problems after resolving it)
  * BZ#3536: program contains error with join using integer and smallint
  * BZ#3542: gdk/gdk_bat.c:2904: BATassertHeadProps: Assertion
    `!b->H->revsorted || cmp >= 0' failed.
  * BZ#3543: invalid behavior and incorrect data results for SQL data
    type: numeric(4,4)
  * BZ#3544: sys.reuse() corrupts data
  * BZ#3546: Division by zero in CASE statement that should avoid it
  * BZ#3547: Empty query when selecting a field from a view made of
    UNION ALL
  * BZ#3551: Wrong ticks in TRACE
  * BZ#3552: incorrect data results for "WHERE int_col <> 0"


=== debian/control ===
Source: monetdb
Section: misc
Priority: extra
Maintainer: MonetDB BV <info@monetdb.org>
Homepage: http://www.monetdb.org/
Vcs-Browser: http://dev.monetdb.org/hg/MonetDB/
Vcs-Hg: http://dev.monetdb.org/hg/MonetDB/
# for Build-Depends and Depends syntax, see
# http://www.debian.org/doc/debian-policy/ch-relationships.html
Build-Depends: debhelper (>= 5), autotools-dev, bison, libbz2-dev,
 libcurl4-gnutls-dev, libgeos-dev (>= 3.0.0), libgsl0-dev, libpcre3-dev,
 libreadline-gplv2-dev | libreadline-dev, libssl-dev, libxml2-dev, perl,
 ruby, rubygems | libyaml-0-2, unixodbc-dev, uuid-dev, zlib1g-dev,
 python, python3,
 libbam-dev, pkg-config
# Build-Depends: libraptor1-dev
Standards-Version: 3.8.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: libmonetdb11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb1, libmonetdb2
Replaces: libmonetdb1, libmonetdb2
Description: MonetDB core library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the core components of MonetDB in the form of a
 single shared library.  If you want to use MonetDB, you will certainly
 need this package, but you will also need at least the monetdb5-server
 package, and most likely also monetdb5-sql, as well as one or
 more client packages.

Package: libmonetdb-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb11
Description: MonetDB development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains files needed to develop extensions to the core
 functionality of MonetDB.

Package: libmonetdb-stream6
Conflicts: libmonetdb-stream2
Replaces: libmonetdb-stream2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB stream library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains a shared library (libstream) which is needed by
 various other components.

Package: libmonetdb-stream-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb-stream6
Description: MonetDB stream library development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files to develop with the
 libmonetdb-stream6 library.

Package: libmonetdb-client7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb-client1, libmonetdb-client2
Replaces: libmonetdb-client1, libmonetdb-client2
Description: MonetDB client/server interface library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains a shared library (libmapi) which is needed by
 various other components.

Package: libmonetdb-client-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb-client7
Description: MonetDB client/server interface library development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files to develop with the libmonetdb-client7
 library.

Package: monetdb-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB database client
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains mclient, the main client program to communicate
 with the MonetDB database server, and msqldump, a program to dump the
 SQL database so that it can be loaded back later.  If you want to use
 MonetDB, you will very likely need this package.

Package: monetdb-client-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb-client
Description: MonetDB database client
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains stethoscope and tomograph.  These tools can be
 used to monitor the MonetDB database server.

Package: libmonetdb-client-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb-client-odbc1, libmonetdb-client-odbc-dev
Replaces: libmonetdb-client-odbc1, libmonetdb-client-odbc-dev
Description: MonetDB ODBC driver
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the MonetDB ODBC driver.

Package: php5-monetdb-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-common
Description: MonetDB php5 client module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a PHP
 program.

Package: perl-monetdb-client
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Provides: ${perl:Provides}
Conflicts: libmonetdb-client-perl
Replaces: libmonetdb-client-perl
Description: MonetDB perl client code
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a Perl
 program.

Package: ruby-monetdb-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libruby1.8
Description: MonetDB Ruby client module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a Ruby
 program.

Package: monetdb-client-testing
Architecture: any
Depends: ${shlibs:Depends}, libmonetdb-client-odbc, monetdb5-server, perl-monetdb-client, php5-monetdb-client, python-monetdb, monetdb5-sql
Description: MonetDB client testing tools
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the sample MAPI programs used for testing other
 MonetDB packages.  You probably don't need this, unless you are a
 developer.

Package: libmonetdb5-server-geom
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Conflicts: libmonetdb5-server-geom0, monetdb-geom, monetdb-geom-dev
Replaces: libmonetdb5-server-geom0, monetdb-geom, monetdb-geom-dev
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the GIS (Geographic Information System)
 extensions for MonetDB-SQL-server5.

Package: libmonetdb5-server-gsl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the interface to the GNU Scientific Library for
 numerical analysis (gsl).

Package: libmonetdb5-server-bam
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the interface to load and query BAM (binary
 version of Sequence Alignment/Map) data.

Package: monetdb5-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: libmonetdb5-server5, libmonetdb5-server-dev, libmonetdb1, libmonetdb-dev
Replaces: libmonetdb5-server5, libmonetdb5-server-dev
Description: MonetDB database server version 5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the MonetDB server component.  You need this
 package if you want to use the MonetDB database system.  If you want
 to use the SQL frontend, you also need monetdb5-sql.

Package: monetdb5-server-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-server
Description: MonetDB database server version 5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains files needed to develop extensions that can be
 used from the MAL level.

Package: monetdb5-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-server (= ${source:Version})
Conflicts: libmonetdb5-sql2
Replaces: libmonetdb5-sql2
Description: MonetDB SQL support for monetdb5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the SQL frontend for MonetDB.

Package: monetdb-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB testing programs
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the programs and files needed for testing the
 MonetDB packages.  You probably don't need this, unless you are a

=== debian/rules ===
#!/usr/bin/make -f

# The contents of this file are subject to the MonetDB Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.monetdb.org/Legal/MonetDBLicense
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is the MonetDB Database System.
#
# The Initial Developer of the Original Code is CWI.
# Portions created by CWI are Copyright (C) 1997-July 2008 CWI.
# Copyright August 2008-2015 MonetDB B.V.
# All Rights Reserved.

DH_VERBOSE=1

%:
	dh $@ --parallel --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-assert=no \
	--enable-console=yes \
	--enable-datacell=no \
	--enable-debug=no \
	--enable-developer=no \
	--enable-fits=no \
	--enable-gdk=yes \
	--enable-geom=yes \
	--enable-gsl=yes \
	--enable-instrument=no \
	--enable-jdbc=no \
	--enable-merocontrol=no \
	--enable-microhttpd=no \
	--enable-monetdb5=yes \
	--enable-odbc=yes \
	--enable-oid32=no \
	--enable-optimize=yes \
	--enable-profile=no \
	--enable-rdf=no \
	--enable-rintegration=no \
	--enable-sql=yes \
	--enable-strict=no \
	--enable-testing=yes \
	--with-ant=no \
	--with-bz2=yes \
	--with-geos=yes \
	--with-hwcounters=no \
	--with-java=no \
	--with-mseed=no \
	--with-perl=yes \
	--with-perl-libdir=lib/perl5 \
	--with-pthread=yes \
	--with-python2=yes \
	--with-python3=yes \
	--with-readline=yes \
	--with-rubygem=yes \
	--with-rubygem-dir=lib/ruby/gems/1.8 \
	--with-samtools=yes \
	--with-sphinxclient=no \
	--with-unixodbc=yes \
	--with-valgrind=no

# currently the test suite fails
override_dh_auto_test:

override_dh_clean:
	dh_clean
	cd clients/python2 && python setup.py clean
	cd clients/python3 && python3 setup.py clean

override_dh_python2:
	dh_python2 clients/python2

override_dh_python3:
	dh_python3 clients/python3
